%global momorel 3

Summary: GNOME Screensaver
Name: gnome-screensaver
Version: 2.22.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Amusements/Graphics
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: gnome-screensaver.desktop

# for desktop-file-utils
Patch0: gnome-screensaver-2.22.0-xsl.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.gnome.org

BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: gtk2-devel >= 2.12.8
BuildRequires: dbus-devel >= 1.1.20
BuildRequires: dbus-glib-devel >= 0.74
BuildRequires: GConf2-devel >= 2.22.0
BuildRequires: gnome-menus-devel >= 2.22.1
BuildRequires: libgnomeui-devel >= 2.22.1
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: glib2-devel >= 2.16.3
BuildRequires: libexif-devel >= 0.6.16
BuildRequires: gnome-vfs2-devel >= 2.22.0
BuildRequires: libxklavier-devel >= 3.5

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

If you want to use xscreensaver item, then use below command
as supper user
$ cd /usr/share/application/screensavers
$ /usr/share/gnome-screensaver/themes/migrate-xscreensaver-config.sh /usr/share/xscreensaver/config/xxx.xml
(where xxx.xml is anemone.xml, anemotaxis.xml, and so on.)
or all xml

%prep
%setup -q
%patch0 -p1 -b .ScreenSaver

%build
%configure --disable-schemas-install \
    --enable-docbook-docs \
    --enable-locking \
    --enable-pam \
    --with-shadow \
    --with-gdm-config=%{_sysconfdir}/X11/gdm/custom.conf \
    --with-pam-prefix=/etc \
    --with-mit-ext \
    --with-libgl \
    --with-shadow \
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

# change menu directory for momonga
install -d %{buildroot}/%{_sysconfdir}/xdg/gnome/menus/
mv %{buildroot}/%{_sysconfdir}/xdg/menus/gnome-screensavers.menu \
    %{buildroot}/%{_sysconfdir}/xdg/gnome/menus/gnome-screensavers.menu

# add migrate script
install -d %{buildroot}/%{_datadir}/gnome-screensaver/themes/
install data/migrate-xscreensaver-config.sh %{buildroot}/%{_datadir}/gnome-screensaver/themes/
install data/xscreensaver-config.xsl %{buildroot}/%{_datadir}/gnome-screensaver/themes/

# show only gnome
desktop-file-install --vendor gnome --delete-original \
    --dir %{buildroot}/%{_datadir}/applications/screensavers \
    --add-only-show-in GNOME \
    %{buildroot}/%{_datadir}/applications/screensavers/*.desktop

# add startup file
mkdir -p %{buildroot}%{_datadir}/gnome/autostart
cp %{SOURCE1} %{buildroot}%{_datadir}/gnome/autostart

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-screensaver.schemas"
for S in $SCHEMAS; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_sysconfdir}/gconf/schemas/gnome-screensaver.schemas
%{_sysconfdir}/pam.d/gnome-screensaver
%{_sysconfdir}/xdg/gnome/menus/gnome-screensavers.menu
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/applications/gnome-screensaver-preferences.desktop
%{_datadir}/applications/screensavers/gnome-cosmos-slideshow.desktop
%{_datadir}/applications/screensavers/gnome-footlogo-floaters.desktop
%{_datadir}/applications/screensavers/gnome-personal-slideshow.desktop
%{_datadir}/applications/screensavers/gnome-popsquares.desktop

%{_datadir}/desktop-directories/gnome-screensaver.directory
%{_datadir}/gnome-screensaver/*
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/backgrounds/cosmos/*
%{_datadir}/pixmaps/gnome-logo-white.svg

# start with gnome-session
%{_datadir}/gnome/autostart/gnome-screensaver.desktop

%{_mandir}/man1/gnome-screensaver-command.1.*
%{_mandir}/man1/gnome-screensaver-preferences.1.*
%{_mandir}/man1/gnome-screensaver.1.*

%changelog
* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-3m)
- add Source1 (start with gnome-session, not gnome-settings-daemon)

* Tue May 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-2m)
- fix dekstop files

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Fri Apr  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Thu Mar 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Sun Feb 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-2m)
- rebuild against libxklavier-3.4

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Tue May 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.8-1m)
- update to 2.17.8

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.7-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.7-2m)
- revice %%post script (gconftool-2)

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.7-1m)
- update to 2.17.7 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update to 2.16.2

* Sat Oct  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-3m)
- add patch0 for rename category

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- rename category Screensaver to ScreenSaver

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- updateo to 2.16.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-3m)
- rebuils against dbus 0.92
- add patch0 for dbus

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.14.3-2m)
- rebuild against expat-2.0.0-1m

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-1m)
- update to 2.14.3

* Tue May 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Thu May 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-4m)
- add migrate scripts

* Wed May 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-3m)
- delete BuildPrereq: xscreensaver-*

* Tue May 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-2m)
- mv gnome-screensavers.menu to %%{_sysconfdir}/gconf/schemas/

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- Initial Build
